
/* 左侧控制栏样式 - 横向布局 */
.control-panel {
    /* 尺寸与布局 */
    width: 100%; /* 自动宽度（根据内容撑开） */
    height: 40px;
    padding: 1px;
    
    /* 定位方式 */
    position: fixed; /* 固定定位 */
    left: 50%;      /* 水平居中 */
    bottom: 1%;   /* 距离底部 20px */
    transform: translateX(-50%); /* 修正水平居中偏移 */
    justify-content: center; /* 新增：使内容居中 */
    /* 样式与滚动 */
    background-color: rgba(0, 0, 0, 0.05); /* 半透明背景 */
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: center; /* 垂直居中子项 */
    z-index: 1005;
    overflow-x: auto; /* 横向滚动 */
    overflow-y: hidden; /* 横向滚动 */

}
.control-panel::-webkit-scrollbar {
    width: 2px;
    height:4px;
    background: rgba(0,0,0,0.2);
}
.control-panel::-webkit-scrollbar-thumb {
    background: #00ffff;
    border-radius: 3px;
}

/* 按钮基础样式 */
.btn {
    padding: 6px 8px; /* 缩小内边距 */

    border: 2px solid #010a33;
    border-radius: 0px; /* 调小圆角 */
    background-color: rgba(3,21,24,0.7);
    cursor: pointer;
    transition: all 0.2s ease;
    font-size: 14px; 
    font-family: 微软雅黑;
    font-weight: bold;
    color: #ffffff;
    white-space: nowrap; /* 禁止文字换行 */
    flex-shrink: 0; /* 禁止按钮缩小 */
}

/* 悬停和激活状态保持不变 */
.btn:hover {
    background-color: #0191ca;
}

.btn.active {
    transform: translate(2px, 2px);
    background-color: #007bac;
    box-shadow: 1px 1px 3px rgba(0,0,0,0.1) inset;
}


